com.singularsys.jep.configurableparser.tokens

## Class MultiLineToken

- java.lang.Object
- - com.singularsys.jep.configurableparser.tokens.Token
  - - com.singularsys.jep.configurableparser.tokens.MultiLineToken

- All Implemented Interfaces:
    TokenMatcher, java.io.Serializable

      public class MultiLineToken
      extends Token
      implements TokenMatcher

  A token representing a token which spans multiple lines.
  See Also:
    `MultiLineMatcher`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiLineToken(java.lang.String source, TokenMatcher em, TokenBuilder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(java.lang.String line)`
    `Token` | `getCompleteToken()` A token representing the complete matched input.
    `void` | `init(Jep j)` Initialize the matcher when the Jep instance is known.
    `Token` | `match(java.lang.String line)` Matches the end of the token.

    - ### Methods inherited from class com.singularsys.jep.configurableparser.tokens.Token

      `equals, getColumnNumber, getLength, getLineNumber, getSource, hashCode, isBinary, isComment, isFunction, isIdentifier, isImplicitMulRhs, isNumber, isOperator, isPrefix, isString, isSuffix, isSymbol, isTerminal, isTernary, isWhiteSpace, setPosition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiLineToken

          public MultiLineToken(java.lang.String source,
                                TokenMatcher em,
                                TokenBuilder builder)

  - ### Method Detail

    - #### match

          public Token match(java.lang.String line)
                      throws ParseException

      Matches the end of the token.
      Specified by:
        `match` in interface `TokenMatcher`
      Parameters:
        `line` - the next line of input
      Returns:
        token representing part of the current line matched, or null if the end of the token is not found.
      Throws:
        `ParseException` - on syntax error

    - #### append

          public void append(java.lang.String line)

    - #### getCompleteToken

          public Token getCompleteToken()

      A token representing the complete matched input.
      Returns:
        the complete token

    - #### init

          public void init(Jep j)

      Description copied from interface: `TokenMatcher`
      Initialize the matcher when the Jep instance is known.
      Specified by:
        `init` in interface `TokenMatcher`
      Parameters:
        `j` - Jep instance

Copyright © 2018 Singular Systems http://www.singularsys.com/jep